Read Library - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v1 /libraries /{libraryId}
Read Library
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/libraries/{libraryId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/libraries/{libraryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/libraries/{libraryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


200
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": "<string>",
"basedOnLibraryId": "<string>",
"originalSystemLibraryId": "<string>",
"warningsDismissed": true,
"conversionWarnings": [
{
"entityType": "<string>",
"entityId": "<string>",
"identifier": "<string>",
"values": [
"<string>"
],
"reason": "<string>",
"suggestedValues": [
"<string>"
],
"problemCount": 123
}
],
"accountGroupingId": "<string>",
"analysisTypeIds": [
"<string>"
],
"defaultDelimiter": "<string>",
"controlPointSelectionPermission": true,
"controlPointWeightPermission": true,
"controlPointSettingsPermission": true,
"riskScoreAndGroupsSelectionPermission": true,
"riskRangeEditPermission": true,
"system": true,
"archived": true
}
Authorizations
Authorization
- Type: string
- In: header
- Required: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Path Parameters
libraryId
- Type: string
- Required
Response
a
- 200 - application/json
- Description: OK
- Fields:
- id: The unique object identifier.
- version: Indicates the data integrity version to ensure data consistency.
- creationDate: The date that the object was originally created.
- lastModifiedDate: The date that the object was last updated or modified.
- createdUserInfo: Details about the user who created the object.
- lastModifiedUserInfo: Details about the user who last modified or updated the object.
- name: The current name of the library.
- basedOnLibraryId: Identifies the library that the new library is based on.
- originalSystemLibraryId: Identifies the original MindBridge-supplied library.
- warningsDismissed: When set to
true, any conversion warnings for this library will not be displayed in the Libraries tab in the UI. - conversionWarnings: A list of accounts that failed to convert the selected base library's setting to the selected account grouping.
- accountGroupingId: Identifies the account grouping used.
- analysisTypeIds: Identifies the analysis types used in the library.
- defaultDelimiter: Identifies the default delimiter used in imported CSV files.
- controlPointSelectionPermission: When set to
true, control points can be added or removed within each risk score. - controlPointWeightPermission: When set to
true, the weight of each control point can be adjusted within each risk score. - controlPointSettingsPermission: When set to
true, individual control point settings can be adjusted within each risk score. - riskScoreAndGroupsSelectionPermission: When set to
true, risk scores and groups can be disabled. - riskRangeEditPermission: Allows editing of risk ranges.